Skip to main content
POST
/
sites
/
{site_id}
/
environments
/
plain
Create a plain environment (no WordPress installed)
curl --request POST \
  --url https://api.kinsta.com/v2/sites/{site_id}/environments/plain \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "development",
  "is_premium": false
}
'
{
  "message": "Creating plain environment in progress",
  "status": 202,
  "operation_id": "environment:clone-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

site_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Body

application/json
display_name
string
required
Example:

"development"

is_premium
boolean
required
Example:

false

Response

Creating plain environment action started. Check MyKinsta for status

message
string
required
Example:

"Creating plain environment in progress"

status
number
required
Example:

202

operation_id
string
Example:

"environment:clone-54fb80af-576c-4fdc-ba4f-b596c83f15a1"